#
# spec file for package qstat (Version 2.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

BuildRequires:  autoconf automake
Name:           qstat
URL:            https://github.com/multiplay/qstat
Summary:        Get statistics from on-line game servers
Version:        2.15+git1422059908.60da59b
Release:        3.3
License:        Artistic-2.0
Group:          Amusements/Games/Other
Source:         qstat-%version.tar.bz2
# PATCH-FIX-OPENSUSE 0001-remove-strndup-redef.diff bnc#123456 you@foo -- descr
Patch0:         0001-remove-strndup-redef.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
# OpenPBS-clients has a file /usr/bin/qstat too
Conflicts:      OpenPBS-clients
%endif

%description 
QStat is a command-line program that displays the status of Internet
Game servers including Quake and many recent shooters.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -f -i
CFLAGS="%{optflags}" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make %{?jobs:-j%jobs}

%install
make DESTDIR="%{buildroot}" install
rm -rf __docs
mkdir __docs
cp -a template info __docs
rm -f __docs/*/Makefile*

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%config %{_sysconfdir}/qstat.cfg
%{_bindir}/qstat
%doc CHANGES.txt LICENSE.txt qstatdoc.html contrib.cfg
%doc __docs/*

%changelog
* Mon Feb  9 2015 lnussel@suse.de
- Update to version 2.15+git1422059908.60da59b:
  + Added KSP support
  + Fix formatting issues on dirtybomb
  + Remove demo from q3 master server query
  + Create README.md
  + Update README.md
  + merge qstat.cfg from the XQF project
  + fix warsow status2 packet, query q3rally with dpmaster gamename - use dpmaster gamename when requesting servers for q3rally,   580badf from xqf - add gametype names for q3rally,   ce32b36 from xqf
  + allow qstat to query empty and full wolfet/etlegacy servers - f636335 from xqf
* Mon Feb  9 2015 lnussel@suse.de
- update to 2.15 and github repo
* Mon Jun 25 2012 lnussel@suse.de
- add autoconf and automake to BuildRequires
- fix license string to  Artistic-2.0
* Thu Jul 22 2010 lnussel@suse.de
- update to SVN362
* Tue Jul  7 2009 lnussel@suse.de
- some spec file cleanup
* Thu Jul  2 2009 lnussel@suse.de
- update to SVN341
* Thu Mar 12 2009 lnussel@suse.de
- update to SVN329
* Wed Nov 26 2008 lnussel@suse.de
- update to SVN324
* Sat Sep 13 2008 lnussel@suse.de
- update to SVN316
* Tue Jun 10 2008 lnussel@suse.de
- update to current svn
  * Fix for broken quake master queries
  * Fix for encoding invalid characters when running in xml mode
  * Updated CoD4 to v1.6 protocol
* Fri Apr 25 2008 lnussel@suse.de
- update to current svn
  * major internal rework wrt use of cleanup_qserver()
* Mon Apr 14 2008 lnussel@suse.de
- update to current svn
  * etqw and hl2 fixes
  * add support for Frontlines: Fuel of War
* Thu Jan 24 2008 lnussel@suse.de
- update to current svn
  * supports ETQW 1.4
* Sun Nov  4 2007 lnussel@suse.de
- update to current svn
  * supports ETQW 1.2
* Mon Oct 29 2007 lnussel@suse.de
- update to current svn
* Wed Oct 24 2007 lnussel@suse.de
- update to current svn
* Fri May 11 2007 lnussel@suse.de
- update to current cvs
* Sat Nov  4 2006 lnussel@suse.de
- new version 2.11
  + new protocols: Warsow, Prey, TrackMania, Tremulous
  + add -nx and -nnx options that enable resp. disable name transformation
  + calculate player score for AMS servers
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Oct 22 2005 lnussel@suse.de
- new version 2.10
  + fix Quake4 master only returning 231 servers
* Thu Oct 20 2005 lnussel@suse.de
- new version 2.9
  + Quake 4 support
* Sun Apr  3 2005 lnussel@suse.de
- new version 2.8
  + add support for new steam protocol (-a2s)
  + add derived type STMHL2 for steam master returning a2s instead of hls
  + change timing for sending packets to improve ping times of low-ping servers
  + fix ut2004 master server support
* Wed Dec 22 2004 lnussel@suse.de
- new version 2.7
* Sun Aug 15 2004 lnussel@suse.de
- new version 2.6
* Sat Mar 20 2004 lnussel@suse.de
- update to CVS version
* Mon Nov 24 2003 lnussel@suse.de
- update to CVS version
- include patches from Steven Hartland
* Tue May 13 2003 lnussel@suse.de
- added %%defattr to %%files to make all files owned by root
* Fri Nov 15 2002 lnussel@suse.de
- new version 2.5c
* Mon Sep 16 2002 lnussel@suse.de
- new version 2.5b:
  config file /etc/qstat.cfg
  artistic license
* Mon Jun 24 2002 lnussel@suse.de
- Conflict with OpenPBS-clients as it has /usr/bin/qstat too
- fixed permissions of template directory to not have sgid bit
* Thu Oct  4 2001 lnussel@suse.de
-  new package qstat
